/* 
 * File:   External_EEPROM.c
 * Author: chengo_cc
 *
 * Created on 30 December 2015, 8:47 PM
 */

#include <stdio.h>
#include <stdlib.h>
#include <pic.h>
//------------------------------------------------------------------------------
#define SCK        RC3       //Serial Clock
#define SDI        RC4       //Serial Data In
#define SD0        RC5       //Serial Data Out
#define CS         RC6       //Chip Select: Can be any pin. NB: Active Low
#define SS         RA5       //Slave Select: Not used in this application
//------------------------------------------------------------------------------
#define SCK_dir    TRISC3
#define SDI_dir    TRISC4
#define SDO_dir    TRISC5
#define CS_dir     TRISC6
#define SS_dir     TRISA5
//------------------------------------------------------------------------------
#include "delay.h"
#include "SPI.h"
#include "EEPROM.h"
//----------------------Common Anode 7-Segment Codes----------------------------
char data[16] = {0xC0,0xF9,0xA4,0xB0,0x99,0x92,0x82,0xF8,0x80,0x98,0x88,0x83,0xC6,0xA1,0x86,0x8E};
/*                  0,   1,   2,   3,   4,   5,   6,   7,   8,   9,   A,   B,   C,   D,   E,   F */
int address[16] = {0x0103,0x0B31,0x1032,0x0C23,0x6004,0xC0BF,0x10C6,0x0317,0x0AF8,0x0A19,0x102A,0x0CCB,0x1388,0x612D,0x501E,0x42AF};
/*            Addresses are 16 bit(hence int data type) wide <ie 4 nibbles>(According to Datasheet info). NB: Chosen at Random    */
//------------------------------------------------------------------------------
int main(int argc, char** argv)
{
   SPI_init();
   TRISD = 0;
   PORTD = data[0];

   for( int i = 0 ; i < 16 ; i++ )
        EEPROM_write(address[i],data[i]);

   while(1)
   {
     for( int i = 0 ; i < 16 ; i++ )
     {
       PORTD = EEPROM_read(address[i]); //Pass Address and Return value at that very address tp PORTD
       delay(1000);
     }
   }

   return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------