/* 
 * File:   SPI.h
 * Author: chengo_cc
 *
 * Created on 30 December 2015, 10:45 PM
 */

#ifndef SPI_H
//------------------------------------------------------------------------------
void SPI_init()
{
  CS = 1;         //Diselect chip initially
  SCK_dir = 0;
  SDI_dir = 1;
  SDO_dir = 0;
  CS_dir  = 0;
  //SS_dir  = 0;    //Disable: Because operating in master mode

  SSPSTAT = 0x80; //SMP = 1: Sample bit. Input data sampled at end of data output time. CKE = 0: SPI Clock Edge Select bit CLEAR
  SSPCON = 0x30;  //SSPEN = 1: Enable Serial Port. CKP = 1: Clock Polarity Select bit: Idle state for clock is a high level
}
//------------------------------------------------------------------------------
void SPI_write(char data)
{
  SSPBUF = data;
  while(BF == 0);
}
//-----------------------------------------------------------------------------
char SPI_read(char dummy)
{
   SSPBUF = dummy;    //Assign to clear
   while(BF == 0);

   return SSPBUF;
}
//------------------------------------------------------------------------------
#define	SPI_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* SPI_H */

